Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.resultsetmanager
Interface Result

All Known Subinterfaces:
  MUCRoom

All Known Implementing Classes:
  DiscoItem, DiscoServerItem, LocalMUCRoom, User

    public interface Result

Elements from a result set as defined by XEP-0059 have certain characteristics. This interface defines these characteristics. Applying this interface to a class will allow you to use ResultSet operations on collections of your class. In other words: you are making collections of your class managable/navigable.

Author:
  Guus der Kinderen, guus@nimbuzz.com
See Also:
  XEP-0059: Result Set Management

Method Summary
`String` | `getUID()` Returns a unique identifier for this Result.

Method Detail

### getUID

    String getUID()

  Returns a unique identifier for this Result. Each element in a ResultSet must have a distinct UIDs. XEP-0059 says: (...) the UIDs are unique in the context of all possible members of the full result set. Each UID MAY be based on part of the content of its associated item (...) or on an internal table index. Another possible method is to serialize the XML of the item and then hash it to generate the UID. Note: The requesting entity MUST treat all UIDs as opaque.

  Returns:
    Unique ID of the Result

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.